SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
SLNet::DynDNS Class Reference

`#include <slikenet/DynDNS.h>`

## Public Member Functions

| DynDNS ()
| ~DynDNS ()
void | UpdateHostIPAsynch (const char *dnsHost, const char *newIPAddress, const char *usernameAndPassword)
void | Update (void)
bool | IsRunning (void) const
bool | IsCompleted (void) const
SLNet::DynDnsResultCode | GetCompletedResultCode (void)
const char * | GetCompletedDescription (void) const
bool | WasResultSuccessful (void) const
char * | GetMyPublicIP (void) const

## Protected Types

enum | ConnectPhase { CP_CONNECTING_TO_CHECKIP, CP_WAITING_FOR_CHECKIP_RESPONSE, CP_CONNECTING_TO_DYNDNS, CP_WAITING_FOR_DYNDNS_RESPONSE, CP_IDLE }

## Protected Member Functions

void | Stop (void)
void | SetCompleted (SLNet::DynDnsResultCode _result, const char *_resultDescription)

## Protected Attributes

TCPInterface * | tcp
SLNet::RakString | getString
SystemAddress | serverAddress
ConnectPhase | connectPhase
SLNet::RakString | host
SLNet::Time | phaseTimeout
SystemAddress | checkIpAddress
const char * | resultDescription
SLNet::DynDnsResultCode | result
char | myIPStr [32]

## Detailed Description

Definition at line 67 of file DynDNS.h.

## Member Enumeration Documentation

enum SLNet::DynDNS::ConnectPhase

protected

Enumerator:

  CP_CONNECTING_TO_CHECKIP |
  CP_WAITING_FOR_CHECKIP_RESPONSE |
  CP_CONNECTING_TO_DYNDNS |
  CP_WAITING_FOR_DYNDNS_RESPONSE |
  CP_IDLE |

Definition at line 90 of file DynDNS.h.

## Constructor & Destructor Documentation

SLNet::DynDNS::DynDNS | ( |  | ) |

SLNet::DynDNS::~DynDNS | ( |  | ) |

## Member Function Documentation

const char* SLNet::DynDNS::GetCompletedDescription | ( | void |  | ) | const

inline

Definition at line 82 of file DynDNS.h.

SLNet::DynDnsResultCode SLNet::DynDNS::GetCompletedResultCode | ( | void |  | ) |

inline

Definition at line 81 of file DynDNS.h.

char* SLNet::DynDNS::GetMyPublicIP | ( | void |  | ) | const

inline

Definition at line 84 of file DynDNS.h.

bool SLNet::DynDNS::IsCompleted | ( | void |  | ) | const

inline

Definition at line 80 of file DynDNS.h.

bool SLNet::DynDNS::IsRunning | ( | void |  | ) | const

inline

Definition at line 79 of file DynDNS.h.

void SLNet::DynDNS::SetCompleted | ( | SLNet::DynDnsResultCode | _result,
|  | const char * | _resultDescription
| ) |  |

inlineprotected

Definition at line 88 of file DynDNS.h.

void SLNet::DynDNS::Stop | ( | void |  | ) |

protected

void SLNet::DynDNS::Update | ( | void |  | ) |

void SLNet::DynDNS::UpdateHostIPAsynch | ( | const char * | dnsHost,
|  | const char * | newIPAddress,
|  | const char * | usernameAndPassword
| ) |  |

bool SLNet::DynDNS::WasResultSuccessful | ( | void |  | ) | const

inline

Definition at line 83 of file DynDNS.h.

References SLNet::RC_DNS_ALREADY_SET, SLNet::RC_NO_CHANGE, and SLNet::RC_SUCCESS.

## Member Data Documentation

SystemAddress SLNet::DynDNS::checkIpAddress

protected

Definition at line 105 of file DynDNS.h.

ConnectPhase SLNet::DynDNS::connectPhase

protected

Definition at line 102 of file DynDNS.h.

SLNet::RakString SLNet::DynDNS::getString

protected

Definition at line 100 of file DynDNS.h.

SLNet::RakString SLNet::DynDNS::host

protected

Definition at line 103 of file DynDNS.h.

char SLNet::DynDNS::myIPStr[32]

protected

Definition at line 108 of file DynDNS.h.

SLNet::Time SLNet::DynDNS::phaseTimeout

protected

Definition at line 104 of file DynDNS.h.

SLNet::DynDnsResultCode SLNet::DynDNS::result

protected

Definition at line 107 of file DynDNS.h.

const char* SLNet::DynDNS::resultDescription

protected

Definition at line 106 of file DynDNS.h.

SystemAddress SLNet::DynDNS::serverAddress

protected

Definition at line 101 of file DynDNS.h.

TCPInterface* SLNet::DynDNS::tcp

protected

Definition at line 99 of file DynDNS.h.

The documentation for this class was generated from the following file:

- Source/include/slikenet/DynDNS.h